/* codemaestro.com - basic website
 *
 *
 *
 *
 */

body {
/* protect footer space from changing background */
	background: #303030;
}


article {
	background: #fff;
}


/* heading */
header {
	background: #303030;
	color: #f0f8ff;
	margin: 0;
	padding: 2rem 0;
}

header h1,
header h2 {
	text-align: center;
}

header h2 {
	margin-left: 25%;
	margin-right: 25%;
}

header h1#logo {
	width: 50%;
	min-width: 240px;
	max-width: 620px;
	margin: 0 auto 1rem;
	background-position: 50% 0;
	background-repeat: no-repeat;
	background-size: contain;
	text-align: center;
	text-indent: -9999em;
}

div[data-field="CodemaestroConnect"] h1 {
	width: 40%;
	min-width: 200px;
	max-width: 580px;
	margin: 0 auto 1rem;
	background-position: 50% 0;
	background-repeat: no-repeat;
	background-size: contain;
	text-align: center;
	text-indent: -9999em;
}

main {
	background: #bcdef2 url('../img/G1909_bc_tonychung_backing_bicubic_2175x1399.jpg') 0 50% fixed repeat-y;
}
/* skill categories */
.skillcategories .card {
	margin: 2rem 0;
}

.skillcategories h2 {
	font-family: abelregular, sans-serif;
	display: block; width: 100%;
	text-align: center;
	white-space: nowrap;
}

.skillcategories p {
	text-align: center;
}

i.fas,
i.far {
 	display: block;
 	text-align: center;
 	font-size: 3rem;
 	margin: 0 0 .5rem;
}

i.fa-tools {
	font-size: 2.7rem;
	margin-bottom: .8rem;
}

i.fa-handshake {
	font-size: 3.2rem;
	margin-bottom: .3rem;
}


/* contact form */

.contactform {
	background: transparent;
	padding: 0 0 6rem;
}

.contactform .cognito form {
	border-radius: .25rem;
	border: 1px solid rgba(0,0,0,.125);
	background: #fff;
}

.contactform .cognito form h1 {
	font-family: "Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
	font-size: 2rem !important;
	font-weight: 600;
	margin-bottom: 1rem;
}

.cognito p {
	font-family: "Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
	font-size: 1.1rem;
	line-height: 1.5;
	margin-left: 15%;
	margin-right: 15%;
}

/* copyright */
footer {
	display: block;
	width: 100%;
	position: fixed;
	bottom: 0;
	background: #303030;
	color: #f0f8ff;
}

footer .copyright {
	margin-top: .5rem;
	color: #f0f8ff;
}

.copyright i.fab {
	display: inline-block;
	font-size: 1.6rem;
}

.copyright .left p {
	text-align: left;
}

.copyright .right p {
	text-align: right;
}

.copyright a {
	color: #f0f8ff;
}

.copyright a:hover {
	color: #ff0f8f;
}



/* branding issues */
a[href*="cognitoforms"] { margin-left: -9999em; }

@media (max-width: 980px) {
/* header */
	header h2 {
		font-size: 1.5rem;
		margin-left: auto;
		margin-right: auto;
	}


/* stacking cards */
	.skillcategories .card {
		margin: 2rem 0;
	}
	
	.skillcategories .col-lg+.col-lg .card {
		margin-top: 0;
	}
	
/* form */
	.contactform .cognito form {
		margin: 0 1rem;
	}
	
	.cognito p {
		margin-left: auto;
		margin-right: auto;
	}


/* stacking footer */
	.copyright .left p,
	.copyright .right p {
		text-align: center;
	}
}